import socketio

sio = socketio.AsyncServer(
    async_mode='asgi',
    logger=True,
    cors_allowed_origins="*"  # FIXME: CSRF Vulnerability
)


@sio.event
def connect(sid, environ):
    print("[WS] Connect ", sid, environ)


@sio.event
async def chat_message(sid, data):
    print("[WS] Message ", data)
    await sio.emit('reply', room=sid)


@sio.on("pingServer")
async def ping_server(sid, data):
    print("[WS] Ping received:", data)
    await sio.emit('messageChannel', "PONG")


@sio.event
def disconnect(sid):
    print('[WS] Disconnect ', sid)
